Skip to content

Bluetooth(Template) ​

9 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getIotBlueToothAgingTimeTemplateGETGet Aging Time(Template)
modifyIotBlueToothAgingTimeTemplatePUTModify Aging Time(Template)
getIotRadioSettingTemplateGETGet Iot Radio Setting(Template)
modifyIotRadioSettingTemplatePATCHModify Iot Radio Setting(Template)
getGridIotServerTemplateGETGet IoT Transport Stream(Template)
createIotServerTemplatePOSTCreate IoT Transport Stream(Template)
deleteIotServerTemplateDELETEDelete IoT Transport Stream(Template)
modifyIotServerTemplatePUTModify IoT Transport Stream(Template)
batchDeleteIotServerTemplateDELETEBatch delete IoT Transport Stream(Template)

getIotBlueToothAgingTimeTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/iot/aging-time

Get Aging Time(Template)

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getIotBlueToothAgingTimeTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get Aging Time setting in site template.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyIotBlueToothAgingTimeTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/iot/aging-time

Modify Aging Time(Template)

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema IotAgingTimeOpenApiVO

FieldTypeRequiredDescription
agingTime_iotAgingTimeintegeryesThe system automatically removes a device's registry entry if no data reports are received within a predefined aging period.<br/>When format = 0, The parameter aging time should be within the range of 30-86400.<br/>When format = 1, The parameter aging time should be within the range of 1-1440.<br/>When format = 2, The parameter aging time should be within the range of 1-24.<br/>
format_iotAgingTimeintegeryesThe parameter [format] should be a value as follows: [0:second 1:minute; 2:hour]
json
// omada_call_operation
{
  "operationId": "modifyIotBlueToothAgingTimeTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Aging Time setting in site template.
The interface requires one of the permissions:
Global Site Template Manager Modify

getIotRadioSettingTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/iot/radio

Get Iot Radio Setting(Template)

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getIotRadioSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get Iot Radio Setting in site template.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyIotRadioSettingTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/iot/radio

Modify Iot Radio Setting(Template)

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema IotRadioSettingOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesBluetooth enable.
consoleModeintegernoBluetooth consle mode should be a value as follow:[0:auto, 1:on, 2:off].
passcodestringnoBluetooth consle passcode.
transmitPowerintegernoBroadcast transmission power.<br />The parameter [transmitPower] should be a value as follows:[-20, -18, -15, -12, -10, -9, -6, -5, -3, 0, 1, 2, 3, 4, 5, 14, 15, 16, 17, 18, 19, 20].(0 by default)
agingTimeintegernoThe system automatically removes a device's registry entry if no data reports are received within a predefined aging period.<br/>When format = 0, The parameter aging time should be within the range of 30-86400.<br/>When format = 1, The parameter aging time should be within the range of 1-1440.<br/>When format = 2, The parameter aging time should be within the range of 1-24.<br/>
formatintegernoThe parameter [format] should be a value as follows: [0:second 1:minute; 2:hour]
resourceintegerno
json
// omada_call_operation
{
  "operationId": "modifyIotRadioSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Iot Radio Setting in site template.
The interface requires one of the permissions:
Global Site Template Manager Modify

getGridIotServerTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/iot/servers

Get IoT Transport Stream(Template)

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridIotServerTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get IoT Transport Stream setting in site template.
The interface requires one of the permissions:
Global Site Template Manager View Only

createIotServerTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/iot/servers

Create IoT Transport Stream(Template)

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema ConfigIotServerOpenApiVO

FieldTypeRequiredDescription
namestringyesIoT Transport Stream setting name.
enablebooleanyesWhether to enable the IoT Transport Stream setting.
serverUrlstringyesIf the service type is http, the server URL must start with http://.
serverTypeintegeryesThe server type should be a value as follows: [0: http].
deviceClassesarray<integer>yesSupports protocol-based filtering during IoT data reporting processes.<br />The device class list should contain the value as follows: [0:minew; 1:iBeacon; 2:Eddystone].
reportIntervalintegernoData reporting interval configuration for AP devices in IoT systems.The parameter [reportInterval] should be within the range of 1–3600 in seconds, and it cannot be null when blePeriodicTelemetry is enabled.
authenticationintegeryesThe parameter [authentication] should be a value as follows:[0:Use Token].
accessTokenstringyesThis parameter becomes mandatory when the authentication method is set to "Use Token".<br/>Note:The parameter [clientId] should be 1 ~ 128 characters.
clientIdstringyesThis parameter becomes mandatory when the authentication method is set to "Use Token".<br />Note:The parameter [clientId] should be 1 ~ 128 characters.
rssiFormatintegeryesThe signal strength reporting format currently supports five types: [0:Average; 1:Max; 2:Last; 3:Smooth; 4:Bulk].
filtersTypearray<integer>noUser-defined settings to manage AP device filtering rules for IoT devices.<br />The parameter [filtersType] should contain the value as follows:[0:Company Identifier; 1:Vendor; 2:Local Name; 3:Service UUID; 4:Mac Oui; 5:iBeacon UUID; 6:UID; 7:URL].
filtersobjectnoThe keys in the [filters] map represent the filter types, while the values correspond to the specific filtering criteria or values associated with each filter type.<br />Note:<br />Filter type = 0, The Company Identifier must conform to a 4-digit or 6-digit hexadecimal encoding. It is only applicable to ibeacon devices<br />Filter type = 1, The Vendor should not exceed 255 bytes in length.<br />Filter type = 2, The Local Name should not exceed 120 bytes in length. It is only applicable to minew devices.<br />Filter type = 3, The Service UUID must conform to a 4-digit hexadecimal encoding. It is only applicable to minew and eddystone devices.<br />Filter type = 4, The Mac Oui must conform to a 6-digit hexadecimal encoding.<br />Filter type = 5, The iBeacon UUID must conform to a 32-digit hexadecimal encoding. It is only applicable to iBeacon devices.<br />Filter type = 6, The UID must conform to a 20-digit or 32-digit hexadecimal encoding. It is only applicable to eddystone devices.<br />Filter type = 7, The URL should not include a scheme. It is only applicable to eddystone devices.<br />
countOnlybooleannoA switch that controls whether the AP device exclusively reports the count of IoT devices, and it cannot be null when blePeriodicTelemetry is enabled.
blePeriodicTelemetrybooleanyesWhether to enable the BLE Periodic Telemetry. When disabled no periodic packets will be uploaded.
rawDatabooleanyesWhether to enable the BLE Data Forwarding. When enabled, the AP directly reports the Bluetooth packet rawData to the server.
json
// omada_call_operation
{
  "operationId": "createIotServerTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create IoT Transport Stream setting in site Template.
The interface requires one of the permissions:
Global Site Template Manager Modify

deleteIotServerTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/iot/servers/{id}

Delete IoT Transport Stream(Template)

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
idpathstringyesIoT Transport Stream template entry ID
json
// omada_call_operation
{
  "operationId": "deleteIotServerTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Delete IoT Transport Stream setting in site template.
The interface requires one of the permissions:
Global Site Template Manager Modify

modifyIotServerTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/iot/servers/{id}

Modify IoT Transport Stream(Template)

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
idpathstringyesIoT Transport Stream template entry ID

Request body — application/json (required) — schema ConfigIotServerOpenApiVO

FieldTypeRequiredDescription
namestringyesIoT Transport Stream setting name.
enablebooleanyesWhether to enable the IoT Transport Stream setting.
serverUrlstringyesIf the service type is http, the server URL must start with http://.
serverTypeintegeryesThe server type should be a value as follows: [0: http].
deviceClassesarray<integer>yesSupports protocol-based filtering during IoT data reporting processes.<br />The device class list should contain the value as follows: [0:minew; 1:iBeacon; 2:Eddystone].
reportIntervalintegernoData reporting interval configuration for AP devices in IoT systems.The parameter [reportInterval] should be within the range of 1–3600 in seconds, and it cannot be null when blePeriodicTelemetry is enabled.
authenticationintegeryesThe parameter [authentication] should be a value as follows:[0:Use Token].
accessTokenstringyesThis parameter becomes mandatory when the authentication method is set to "Use Token".<br/>Note:The parameter [clientId] should be 1 ~ 128 characters.
clientIdstringyesThis parameter becomes mandatory when the authentication method is set to "Use Token".<br />Note:The parameter [clientId] should be 1 ~ 128 characters.
rssiFormatintegeryesThe signal strength reporting format currently supports five types: [0:Average; 1:Max; 2:Last; 3:Smooth; 4:Bulk].
filtersTypearray<integer>noUser-defined settings to manage AP device filtering rules for IoT devices.<br />The parameter [filtersType] should contain the value as follows:[0:Company Identifier; 1:Vendor; 2:Local Name; 3:Service UUID; 4:Mac Oui; 5:iBeacon UUID; 6:UID; 7:URL].
filtersobjectnoThe keys in the [filters] map represent the filter types, while the values correspond to the specific filtering criteria or values associated with each filter type.<br />Note:<br />Filter type = 0, The Company Identifier must conform to a 4-digit or 6-digit hexadecimal encoding. It is only applicable to ibeacon devices<br />Filter type = 1, The Vendor should not exceed 255 bytes in length.<br />Filter type = 2, The Local Name should not exceed 120 bytes in length. It is only applicable to minew devices.<br />Filter type = 3, The Service UUID must conform to a 4-digit hexadecimal encoding. It is only applicable to minew and eddystone devices.<br />Filter type = 4, The Mac Oui must conform to a 6-digit hexadecimal encoding.<br />Filter type = 5, The iBeacon UUID must conform to a 32-digit hexadecimal encoding. It is only applicable to iBeacon devices.<br />Filter type = 6, The UID must conform to a 20-digit or 32-digit hexadecimal encoding. It is only applicable to eddystone devices.<br />Filter type = 7, The URL should not include a scheme. It is only applicable to eddystone devices.<br />
countOnlybooleannoA switch that controls whether the AP device exclusively reports the count of IoT devices, and it cannot be null when blePeriodicTelemetry is enabled.
blePeriodicTelemetrybooleanyesWhether to enable the BLE Periodic Telemetry. When disabled no periodic packets will be uploaded.
rawDatabooleanyesWhether to enable the BLE Data Forwarding. When enabled, the AP directly reports the Bluetooth packet rawData to the server.
json
// omada_call_operation
{
  "operationId": "modifyIotServerTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "id": "<id>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify IoT Transport Stream setting in site template.
The interface requires one of the permissions:
Global Site Template Manager Modify

batchDeleteIotServerTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/iot/servers/batch-delete

Batch delete IoT Transport Stream(Template)

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema BatchDeleteCommonOpenApiVO

FieldTypeRequiredDescription
idsarray<string>noA set of Bluetooth Advertising entry ids to be deleted.
json
// omada_call_operation
{
  "operationId": "batchDeleteIotServerTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch delete IoT Transport Stream setting in site template.
The interface requires one of the permissions:
Global Site Template Manager Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.